import { IObservableStorage } from '../../interfaces/IObservableStorage';
import { ISerializable } from '../../interfaces/ISerializable';
import { ISerialized } from '../../interfaces/ISerialized';
import { IStorage } from '../../interfaces/IStorage';
import { Serializer } from '../../utils/Serializer';
import { AbstractBrowserHistoryStorage } from './AbstractBrowserHistoryStorage';
import { IBrowserHistoryStorageOptions } from './IBrowserHistoryStorageOptions';
export declare class BrowserHistoryPathStorage<TValue extends ISerializable> extends AbstractBrowserHistoryStorage<TValue> implements IObservableStorage<TValue> {
    private decodeUrlPath;
    private encodeUrlPath;
    constructor(decodeUrlPath: (url: string) => TValue, encodeUrlPath: (params: TValue) => string, defaultValue: TValue, options?: Partial<IBrowserHistoryStorageOptions>, storage?: IStorage<ISerialized>, serializer?: Serializer<TValue>);
    protected decodeUrl(url: URL): Partial<TValue>;
    protected encodeUrl(params: TValue, lastUrl: URL): URL;
}
