import { IObservableStorage } from '../../interfaces/IObservableStorage';
import { ISerializable } from '../../interfaces/ISerializable';
import { ISerialized } from '../../interfaces/ISerialized';
import { IStorage } from '../../interfaces/IStorage';
import { Serializer } from '../../utils/Serializer';
import { AbstractBrowserHistoryStorage } from './AbstractBrowserHistoryStorage';
import { IBrowserHistoryStorageOptions } from './IBrowserHistoryStorageOptions';
export declare class BrowserHistoryUrlStringStorage<TValue extends ISerializable> extends AbstractBrowserHistoryStorage<TValue> implements IObservableStorage<TValue> {
    private decodeUrlString;
    private encodeUrlString;
    constructor(decodeUrlString: (url: string) => TValue, encodeUrlString: (params: TValue) => string, defaultValue: TValue, options?: Partial<IBrowserHistoryStorageOptions>, storage?: IStorage<ISerialized>, serializer?: Serializer<TValue>);
    protected decodeUrl(url: URL): Partial<TValue>;
    protected encodeUrl(params: TValue): URL;
}
